Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.resource
Class ISOResourceConfig

`java.lang.Object
oracle.ovs.api.datamodel.resource.ISOResourceConfig`

All Implemented Interfaces:
  java.io.Serializable

      public class ISOResourceConfig

extends java.lang.Object
implements java.io.Serializable

an ISO resource configuration used to register a new iso resource

See Also:
  Serialized Form

Constructor Summary
`ISOResourceConfig()`
`ISOResourceConfig(DiscoveredISO di, java.lang.String Comments)`
`ISOResourceConfig(java.lang.Long serverPoolId, java.lang.String ISOGroup, java.lang.String ISOName, java.lang.String Comments, java.lang.String Bootable)`

Method Summary
`java.lang.String` | `getBootable()`
`java.lang.String` | `getComments()`
`java.lang.String` | `getDownloadURL()`
`java.lang.String` | `getISOFileName()`
`java.lang.String` | `getISOGroup()`
`ImportTypes` | `getIsoImportType()`
`java.lang.String` | `getISOName()`
`java.lang.String` | `getProxyURL()`
`java.lang.Long` | `getServerPoolId()`
`void` | `setBootable(java.lang.String Bootable)`
`void` | `setComments(java.lang.String Comments)`
`void` | `setDownloadURL(java.lang.String downloadURL)`
`void` | `setISOFileName(java.lang.String ISOFileName)`
`void` | `setISOGroup(java.lang.String ISOGroup)`
`void` | `setIsoImportType(ImportTypes isoImportType)`
`void` | `setISOName(java.lang.String ISOName)`
`void` | `setProxyURL(java.lang.String proxyURL)`
`void` | `setServerPoolId(java.lang.Long serverPoolId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISOResourceConfig

    public ISOResourceConfig()

### ISOResourceConfig

    public ISOResourceConfig(DiscoveredISO di,
                             java.lang.String Comments)

### ISOResourceConfig

    public ISOResourceConfig(java.lang.Long serverPoolId,
                             java.lang.String ISOGroup,
                             java.lang.String ISOName,
                             java.lang.String Comments,
                             java.lang.String Bootable)

Method Detail

### getServerPoolId

    public java.lang.Long getServerPoolId()

### setServerPoolId

    public void setServerPoolId(java.lang.Long serverPoolId)

### getISOName

    public java.lang.String getISOName()

### setISOName

    public void setISOName(java.lang.String ISOName)

### getISOGroup

    public java.lang.String getISOGroup()

### setISOGroup

    public void setISOGroup(java.lang.String ISOGroup)

### getISOFileName

    public java.lang.String getISOFileName()

### setISOFileName

    public void setISOFileName(java.lang.String ISOFileName)

### getComments

    public java.lang.String getComments()

### setComments

    public void setComments(java.lang.String Comments)

### getBootable

    public java.lang.String getBootable()

### setBootable

    public void setBootable(java.lang.String Bootable)

### setDownloadURL

    public void setDownloadURL(java.lang.String downloadURL)

### getDownloadURL

    public java.lang.String getDownloadURL()

### setProxyURL

    public void setProxyURL(java.lang.String proxyURL)

### getProxyURL

    public java.lang.String getProxyURL()

### setIsoImportType

    public void setIsoImportType(ImportTypes isoImportType)

### getIsoImportType

    public ImportTypes getIsoImportType()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.